Bug 52485 - CPU load 100%
Summary: CPU load 100%
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.21
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-01-19 08:36 UTC by Patrik Åkerlind
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Åkerlind 2012-01-19 08:36:11 UTC
Hi,

We installed a APACHE 2.2.21 and used it as a proxy. When a call was made the CPU raised to 50-100% and stayed there. After backing to 2.2.15 the problem was solved. We also saw that if hade more modules loaded the problems increased.

httpd.conf
"ServerName xxx.xxx.xx:80

Listen 8080 443

LoadModule authz_host_module modules/mod_authz_host.so
LoadModule proxy_module modules/mod_proxy.so
LoadModule proxy_connect_module modules/mod_proxy_connect.so
LoadModule proxy_http_module modules/mod_proxy_http.so

<IfModule mod_proxy.c>
ProxyRequests On
ProxyVia On
<Proxy :*>
Order deny,allow
Deny from all
Allow from xxx.xxx.xx
</Proxy>
</IfModule>

AllowCONNECT 443 49171"

Regards
Patrik Åkerlind
Handelsbanken, Sweden
Comment 1 Eric Covener 2012-01-19 10:58:57 UTC
Specify your platform and post a backtrace from the server at 100% CPU.

http://httpd.apache.org/dev/debugging.html
Comment 2 Patrik Åkerlind 2012-01-19 12:26:48 UTC
I don´t have a trace...

It´s a Windows 2008 Server R2, 32-bit.
Comment 3 Pascal Garcia 2013-02-20 10:22:29 UTC
I have the same problem, with the apache embedded in wamp.
Version of Apache is 2.4.2.

Suddenly the CPU load raises to 100 %.
But it seems also that after a certain time quite long, the problem stops and starts again.

I noticed also that in this king of situation some connections are in closewait, which means that the thread is occupied to do something else. The same number of connections is established with the backend, probably the modproxy connected to a backend.  
I suspect the connected mode to be the reason as the problem seems to occur more often when browsing https sites.

I do not know what information to provide to you, but my configuration is very simple, and I can give you the httpd.conf and httpd-vhosts.conf files: The only files I changed.

I try to have a proxy on my PC that rewrite some URL and block some sites to block the tracking and some advertisement. Only the current user only induces the load.

My configuration is windows 7 64 premium French 
Intel i7 920 QM
WampServer 2.2, Apache 2.4.2
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:42 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.